function depurarjson(TxtJson) {
	TxtJson = TxtJson.replace(/(\r\n|\n|\r)/gm," ");
return TxtJson;
}
function disparadorseccion(accion){
}
function encrypt_data(string) {
	string = unescape(encodeURIComponent(string));
	var newString = '',
	   char, nextChar, combinedCharCode;
	for (var i = 0; i < string.length; i += 2) {
	char = string.charCodeAt(i);
  if ((i + 1) < string.length) {
  nextChar = string.charCodeAt(i + 1) - 31;
  combinedCharCode = char + "" + nextChar.toLocaleString('en', {
   minimumIntegerDigits: 2
  });
  newString += String.fromCharCode(parseInt(combinedCharCode, 10));
  } else {
  newString += string.charAt(i);
  }
  }
  return newString.split("").reduce((hex,c)=>hex+=c.charCodeAt(0).toString(16).padStart(4,"0"),"");
}
function decrypt_data(string) {
	var newString = '',
	char, codeStr, firstCharCode, lastCharCode;
	string = string.match(/.{1,4}/g).reduce((acc,char)=>acc+String.fromCharCode(parseInt(char, 16)),"");
	for (var i = 0; i < string.length; i++) {
	char = string.charCodeAt(i);
	if (char > 132) {
	codeStr = char.toString(10);
	firstCharCode = parseInt(codeStr.substring(0, codeStr.length - 2), 10);
	lastCharCode = parseInt(codeStr.substring(codeStr.length - 2, codeStr.length), 10) + 31;
	newString += String.fromCharCode(firstCharCode) + String.fromCharCode(lastCharCode);
	} else {
	newString += string.charAt(i);
	}
	}
	return newString;
}

function recopassacccuenta(tipt) {
	if(tipt==0){
		Detalle="<div class='formulariodiv' id='FORMUREMEMVEPASS'>";
    	Detalle+="<label for='TUSUCUENTA'> Ingresa usuario de tu cuenta   </label>";
    	Detalle+="<input type='text' id='TUSUCUENTAREMEME' placeholder='Ingresa tu usuario' class='textinpubasi'>";
		Detalle+="<div id='VIWETUSUCUENTAREMEME' style='color:red'>";
    	Detalle+="</div>";
		Detalle+="<input type='submit' value='RECORDAR CONTRASEÑA' class='bbotonbasi' onclick='res_recopassacccuenta(7)'>";
		Detalle+="<div align='center'><a href='javascript:regitrateacccuenta()'>¿No tienes cuenta? Regístrate</a></div>";
		Detalle+="</div>"; 
	}else{
		res_recopassacccuenta(7);
	} 
    document.getElementById("ModalTitulo").innerHTML="<h3>Recuperar Contraseña</h3>";
	document.getElementById("ModalCont").innerHTML=Detalle;
	document.getElementById("ModalPie").innerHTML="";
}	
function res_recopassacccuenta(usuario) {
if(usuario==7){
			validar=0
			usuario=document.getElementById("TUSUCUENTAREMEME").value;
    		if(usuario.length<6){
				document.getElementById("VIWETUSUCUENTAREMEME").innerHTML="&nbsp;No es un Usuario valido";
				validar=1;
			}
			if(validar==0){
				usuario=document.getElementById("TUSUCUENTAREMEME").value;
   				url="accion=REC";
				url+="&nomusu="+usuario;
				url+="&tipo=1";
				var ruta=VGCDDIREACTU+"ScriptPhp/Registro/cuenta.php";
				doAjax(ruta,url,'mensaje_recopassacccuenta','gets','0','Ccargar');
			}
}
}
function mensaje_recopassacccuenta(email) {
	email=trim(email)
	var Detalle="";
if(validarEmail(trim(email)) || email==0){
			Detalle+="<div class='formulariodiv' align='center'>";
			Detalle+="Su email no se encuentra registrado,  verifica si estas usando un email invalido. <br>si necesita ayuda puedes comunicarce por wasap o llamanos >: <p><img src='image/ico/wasap.png' width='44' height='44' longdesc='https://api.whatsapp.com/send?phone=3126811511&text=Hola'><a href='https://api.whatsapp.com/send?phone=3126811511&text=Hola'>3126811511</a></p>";
			Detalle+="<div align='center'><a href='javascript:regitrateacccuenta()'>¿No tienes cuenta? Regístrate</a></div>";
			Detalle+="</div>";
		document.getElementById("ModalTitulo").innerHTML="<h3>Recuperar Contraseña</h3>";
		document.getElementById("ModalCont").innerHTML=Detalle;
		document.getElementById("ModalPie").innerHTML="";
}else{
	        Detalle="<center>Se envia a el email: <b>"+email+"</b></center>";
			Detalle+="<div class='formulariodiv' align='center'>";
			Detalle+="</h3><input type='button' value='Acepto Envio de contraseña a mi Email.' class='bbotonbasi' onclick='extraerdateusurio(\""+email+"\")'></h3>";
			Detalle+="</div>";
    		document.getElementById("ModalTitulo").innerHTML="<h3>Recuperar Contraseña</h3>";
			document.getElementById("ModalCont").innerHTML=Detalle;
			document.getElementById("ModalPie").innerHTML="";
}
}
function regitrateacccuenta() {
	Detalle="<div class='formulariodiv'>";
		 Detalle+="<div class='grilla2'>";
			Detalle+="<div>";
			    Detalle+="<label> Ingresa tu Email </label><span style='color:red' id='VIWEIDCREAREMAIL'></span>";
    			Detalle+="<input type='email' id='IDCREAREMAIL' placeholder='Ingresa Email' class='textinpubasi'>";
			Detalle+="</div>";
			Detalle+="<div>";
				Detalle+="<label> Ingresa tu movil </label><span style='color:red' id='VIWEIDCREARMOVIL'></span>";
				Detalle+="<input type='number' id='IDCREARMOVIL' placeholder='Ingresa tu movil' class='textinpubasi'>";
			Detalle+="</div>";

		 Detalle+="</div>";

		 Detalle+="<div class='grilla2'>";
		  Detalle+="<div>";
			Detalle+="<label> Ingresa Contraseña: </label><span style='color:red' id='VIWEIDCREARPASS'></span>";
    		Detalle+="<input type='password' id='IDCREARPASS' placeholder='Contraseña' class='textinpubasi'>";
          Detalle+="</div>";
		  Detalle+="<div>";
			Detalle+="<label> verifique Contraseña: </label><span style='color:red' id='VIWEIDCREARPASS2'></span>";
    		Detalle+="<input type='password' id='IDCREARPASS2' placeholder='Verifique Contraseña' class='textinpubasi'>";
		  Detalle+="</div>";
		Detalle+="</div>";


		Detalle+="<div class='grilla2'>";
		  Detalle+="<div>";
			Detalle+="<label> Nombre Completo:  </label><span style='color:red' id='VIWEIDCREARNAME'></span>";
    		Detalle+="<input type='text' id='IDCREARNAME' placeholder='Nombre Completo' class='textinpubasi'>";
          Detalle+="</div>";
  		    Detalle+="<div>";
				Detalle+="<label> Documento:  </label><span style='color:red' id='VIWEIDCREARDOC'></span>";
    			Detalle+="<input type='text' id='IDCREARDOC' placeholder='Numero de identidad ' class='textinpubasi'>";
            Detalle+="</div>";
		Detalle+="</div>";
		

			Detalle+="<div>";
    			Detalle+="<input type='submit' value='CREAR CUENTA' class='bbotonbasi' onclick='crearcuentausu()'>";
			Detalle+="</div>";


	    Detalle+="<div align='center'><a href='javascript:recopassacccuenta(0)'>¿Olvidaste tu contraseña?</a></div>";
		Detalle+="</div>";

    document.getElementById("ModalTitulo").innerHTML="<h3>CREAR CUENTA </h3>";
	document.getElementById("ModalCont").innerHTML=Detalle;
	document.getElementById("ModalPie").innerHTML="";
}	
function crearcuentausu() {
	var validar=0;
    var usuario=document.getElementById("IDCREAREMAIL").value;

	var movil=document.getElementById("IDCREARMOVIL").value;
	var pass=document.getElementById("IDCREARPASS").value;
	var pass2=document.getElementById("IDCREARPASS2").value;
	
	var nombre=document.getElementById("IDCREARNAME").value;
	
	var nriper=document.getElementById("IDCREARDOC").value;
	
	
	document.getElementById("VIWEIDCREAREMAIL").innerHTML="";
	document.getElementById("VIWEIDCREARMOVIL").innerHTML="";
	document.getElementById("VIWEIDCREARPASS").innerHTML="";
	document.getElementById("VIWEIDCREARPASS2").innerHTML="";
	document.getElementById("VIWEIDCREARNAME").innerHTML="";

	
	if(nombre.length<5){
		document.getElementById("VIWEIDCREARNAME").innerHTML="no es un nombre valido";
		validar=1;
	}
	if(nriper.length<5){
		document.getElementById("VIWEIDCREARDOC").innerHTML="no es un Documento valido";
		validar=1;
	}
	if(movil.length<6){
		document.getElementById("VIWEIDCREARMOVIL").innerHTML="no es un movil valido";
		validar=1;
	}
	if(pass.length<4){
		document.getElementById("VIWEIDCREARPASS").innerHTML="la contraseña es muy corta";
		validar=1;
	}
	if(pass!=pass2){
		document.getElementById("VIWEIDCREARPASS").innerHTML="La contraseña no son iguales ";
		document.getElementById("VIWEIDCREARPASS2").innerHTML="La contraseña no son iguales ";
		validar=1;
	}
	if(validarEmail(usuario)){
		document.getElementById("VIWEIDCREAREMAIL").innerHTML="&nbsp;No es un Email valido";
		validar=1;
	}

	if(validar==0){
   		url="accion=ADD";
		url+="&nomusu="+usuario;
		url+="&api="+encrypt_data(pass);
		url+="&nomper="+nombre;
		url+="&nriper="+nriper;
		url+="&telper="+movil;
		var ruta=VGCDDIREACTU+"ScriptPhp/Registro/cuenta.php";
		doAjax(ruta,url,'res_crearcuentausu','gets','0','Ccargar');
    }
}
function res_crearcuentausu(rest) {
	   if(trim(rest)==1){
		document.getElementById("VIWEIDCREAREMAIL").innerHTML="&nbsp;Este Usuario Esta Registrado <a href='javascript:recopassacccuenta(0)'>¿Olvidaste tu contraseña?</a>";
	   }
	   if(trim(rest)==2){
Detalle="<div class='formulariodiv' align='center'>";
Detalle+="<h3>Bienvenid@ "+document.getElementById("IDCREARNAME").value+"</h3> tu cuenta esta registrada,<br> inicia sesion con tu nueva cuenta";
Detalle+="</div>";

	
	email=document.getElementById("IDCREAREMAIL").value;
	asunto="Bienvenido a MiAyudaApp";

	

	mensaje="!Hola, Bienvenido a mi ayuda app! <br><a href='https://www.miayudaapp.com/'>https://www.miayudaapp.com</a>";
	enviarmail(email,asunto,mensaje,'res_enviarmailsinres')

	document.getElementById("ModalTitulo").innerHTML="<h3>Cuenta Registrada</h3>";
	document.getElementById("ModalCont").innerHTML=Detalle;
	document.getElementById("ModalPie").innerHTML="";

       }
	if(trim(rest)==3){
		document.getElementById("VIWEIDCREAREMAIL").innerHTML="&nbsp;ERROR EN CREAR CUENTA ,INTENTE MAS TARDE; si necesita ayuda puedes comunicarce por wasap o llamanos >: 3126811511</a>";
	   }
}
function micuenta() {
	Detalle="<div class='formulariodiv'>";
    Detalle+="<form action='javascript:cuentaipa()'>";
    Detalle+="<label for='TUSUCUENTA'>Ingresa tu usuario</label>";
    Detalle+="<input type='text' id='TUSUCUENTA' name='TUSUCUENTA' placeholder='Ingresa tu e-mail'class='textinpubasi'>";
    Detalle+="<label for='PUSUCUENTA'>Ingresa tu contraseña</label>";
    Detalle+="<input type='password' id='PUSUCUENTA' name='PUSUCUENTA' placeholder='Ingresa tu contraseña'class='textinpubasi'>";
	Detalle+="<div id='VEWUSUARIOME'></div>";
    Detalle+="<input type='submit' value='INICIAR SESIÓN' class='bbotonbasi'>";
	Detalle+="</form>";
	 Detalle+="<div class='grilla2'>";
	   Detalle+="<div align='center'><a href='javascript:recopassacccuenta(0)'>¿Olvidaste tu contraseña?</a></div>";
	   Detalle+="<div align='center'><a href='javascript:regitrateacccuenta()'>¿No tienes cuenta? Regístrate</a></div>";
	 Detalle+="</div>";
	Detalle+="</div>";    
	document.getElementById("ModalTitulo").innerHTML="<h3>Inicia sesión</h3>";
	document.getElementById("ModalCont").innerHTML=Detalle;
	document.getElementById("ModalPie").innerHTML="";
abrirmodal();
}
function cuentaipa() {
url="usuario="+document.getElementById("TUSUCUENTA").value;
url+="&api="+encrypt_data(document.getElementById("PUSUCUENTA").value);
console.log(url)
ruta=VGCDDIREACTU+"apibc/controllers/usuarios/";
doAjax(ruta,url,'res_cuentaipa','gets','0','Ccargar');
}
function res_cuentaipa(ResTex) {
	console.log(ResTex)
	oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
	cerrarmodal();
		vMenu=oJsonDatos.Datos[0].nomusu

	//location.href=VGRutaRiz+"views/mdi/principal.html"+"?codigo="+VGproyect;
	vHtml="<img src='https://miayudaapp.com/aplimarketing/image/ico/micuenta.png' width='32' height='26'> <a href='javascript:acccuenta()'>"+oJsonDatos.Datos[0].peremp+"...<br>Mi Cuenta</a>";
	    localStorage.setItem("USERAPI",oJsonDatos.Datos[0].nomusu);
		localStorage.setItem("NomUsuario",oJsonDatos.Datos[0].nomusu);
		localStorage.setItem("PASSAPI",oJsonDatos.Datos[0].conusu);
		localStorage.setItem("Ideusuario",oJsonDatos.Datos[0].nriper);
		localStorage.setItem("identidad",oJsonDatos.Datos[0].nriper);
		localStorage.setItem("rol",oJsonDatos.Datos[0].rol);
		 	VGusuar=localStorage.getItem("USERAPI");
 			VGupass=localStorage.getItem("PASSAPI");
	document.getElementById("DMICUENTA").innerHTML=vHtml
	//disparadorseccion(1);
	console.log(VGRutaRiz+"views/mdi/principal.html"+"?codigo="+VGproyect)
	location.href=VGRutaRiz+"aplimarketing/views/mdi/principal.html"+"?codigo="+VGproyect;
		
	}else{
		document.getElementById("VEWUSUARIOME").innerHTML="Contraseña Erronea";
	}
}
function indexcuenta() {
if(VGusuar!=null){
		document.getElementById("DMICUENTA").innerHTML="<img src='image/ico/micuenta.png' width='32' height='26'> <a href='javascript:acccuenta()'>"+VGusuar+"<br>Mi Cuenta</a>";
}
}
function cerrarsession() {
    document.getElementById("DMICUENTA").innerHTML="<img src='image/ico/micuenta.png'/><a href='javascript:micuenta()'>Inicia sesiòn<br>Mi cuenta</a>";
	localStorage.clear();
	 VGusuar=null;
	 disparadorseccion(0);
     window.scroll(0,0);
}


function extraerdateusurio(usuario){ 
            url="usuario="+usuario;
			url+="&tipo=1";
			ruta=VGCDDIREACTU+"apibc/controllers/usuarios/";
			doAjax(ruta,url,'res_extraerdateusurio','gets','0','Ccargar');
}
function res_extraerdateusurio(resxt){ 
		    var oJsonDatos = JSON.parse(resxt);
			var NJsonItem=oJsonDatos.Datos.length;
			var mensaje="Usuario: "+oJsonDatos.Datos[0].nomusu +" <br>Contraseña es: "+decrypt_data(oJsonDatos.Datos[0].conusu);
			enviarmail(oJsonDatos.Datos[0].nomusu,"Recordar Contraseña",mensaje,'res_enviarmail');
}


function enviarmail(email,asunto,mensaje,funtione) {
	    url="email="+email;
		url+="&asunto="+asunto;
		url+="&mensaje="+mensaje;
		doAjax('PHPMailer/vendors/enviosmtpORIG.php',url,funtione,'gets','0','Ccargar');
}
function res_enviarmailsinres(rest) {
}
function res_enviarmail(rest) {

	var Detalle="";
  if(rest="ENVIADO"){
	Detalle="<center>Se envio email,  recordando contraseña</center>";
  }else{
	Detalle="No se pudo enviar recordatorio, consultar con un administrador";
  }
	   document.getElementById("ModalTitulo").innerHTML="<h3>Recordar Contraseña</h3>";
	   document.getElementById("ModalCont").innerHTML=Detalle;
	   document.getElementById("ModalPie").innerHTML="";
       abrirmodal();
}

function loguear() {
	cUsu=document.getElementById("usuario").value
	if(vGorigen=='BCWEB'){
		VGempresa="ALMACENBC";
		url="usuario=empleado";
		url+="&rol=empleado";	
		url+="&codemp=ALMACENBC";
		url+="&modulo="+ localStorage.getItem("modulo");
	}else{
		url="usuario="+cUsu;
		url+="&rol=''";		
		url+="&codemp="+VGempresa;
		url+="&modulo="+VGmodulo;
	}
		
	
	
	cUsu=cUsu.substr(0,1)
	cExt=""
	url+="&extension="+cExt;
		
	console.log(url);
	var Rpage =VGRutaRiz+"controllers/usuarios/"
	doAjax(Rpage,url,'resp_cargarusuarios','gets','0','Ccargar');
}
function resp_cargarusuarios(ResTex) {
	console.log(ResTex);
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
		if(ResTex.length>=1){
			JsonUsuario=ResTex;
			var oJsonDatos = JSON.parse(JsonUsuario);
        	var NJsonItem=oJsonDatos.Datos.length;
			if(oJsonDatos.Datos.error=="ERROR404"){
				flink(404);
			}else{
				
		  		cPass=document.getElementById("clave").value.trim()
		  		if(cPass!=oJsonDatos.Datos[0].clave && vGorigen!='BCWEB'){
			  		localStorage.clear()
			  		document.getElementById("cNo1").value="Usuario o contraseña invalido";
		  		}else{
					
					localStorage.setItem("NomUsuario",oJsonDatos.Datos[0].nombre);
		 	 		localStorage.setItem("Usuario",oJsonDatos.Datos[0].usuario);
			 		localStorage.setItem("Ideusuario",oJsonDatos.Datos[0].nriper);
					localStorage.setItem("Ideusuario",oJsonDatos.Datos[0].nriper);
					
					if(vGorigen=='BCWEB'){
						localStorage.setItem("rol","empleado");
						localStorage.setItem("Codempresa",VGempresa);
					}else{
						localStorage.setItem("rol","");
						localStorage.setItem("Codempresa",oJsonDatos.Datos[0].dftemp);
						VGempresa=oJsonDatos.Datos[0].dftemp;
					}
					
					Detalle="<select>"
					JsonActividad=oJsonDatos.Datos[0].empresas;
					VarStruture = JsonActividad.replace(/(\r\n|\n|\r)/gm," ");
					var urlbosy="(" + VarStruture + ")";
					VarStruture = JSON.stringify(eval(urlbosy))
					localStorage.setItem("jempresas",VarStruture);
					location.href=VGRutaRiz+"views/mdi/principal.html"+"?codigo="+VGproyect;
					
					return
					var oJsonDatose = JSON.parse(VarStruture);
				
					console.log(oJsonDatose)
	        		var NJsonIt=oJsonDatose.Datos.length;
					//alert(NJsonIt);
					RowArray=0;//esto lo adicione nuevo
					for (RowArray=0;RowArray<NJsonIt; RowArray++){
						Detalle+='<option value="'+oJsonDatose.Datos[RowArray].code+'" >'+oJsonDatose.Datos[RowArray].name+'</option>'
					}
					Detalle+="</select>"
					//alert(Detalle);
					//document.getElementById("cnt_empresa").innerHTML=Detalle;
					//document.getElementById("cnt_empresa").style.display="block"


					//alert(ResTex)
			 		//alert(oJsonDatos.Datos[0].usuario)
			 		
		  	 		location.href=VGRutaRiz+"views/mdi/principal.html"+"?codigo="+VGproyect;
					
		  		}
			}
		}else{
			//alert("")
	    }
	}else{
		document.getElementById("cNo1").value="Usuario o contraseña invalido";
    }
	
}